Subject: Re: locked narrowing

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Aug 2022 09:06:21 -0400

> If a package wants to count lines in a function registered with
> jit-lock, I think it makes no sense for it to do that in Lisp.  It
> would be much better to let such packages use the built-in
> capabilities that we use all the time, both on the mode line and under
> display-line-numbers mode.  There are at least two advantages to that:
> (1) it will be at least slightly faster, sometimes more than slightly
> (due to caching); and (2) the problem of narrowing would be seamlessly
> resolved.

FWIW, I agree.  I don't think this information is cleanly&reliably
exposed to ELisp, tho, which is why nlinum-mode does it "by hand" (with
its own caching).

        Stefan